Bug 570378 - [abrt] crash in gnome-color-manager-2.29.4-2.fc13: Process /usr/bin/gcm-apply was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in gnome-color-manager-2.29.4-2.fc13: Process /usr/bin/gcm-apply...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a911a68979cb95f9900461fefa8...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-04 04:38 UTC by Adam Williamson
Modified: 2010-03-18 03:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-18 03:33:31 UTC


Attachments (Terms of Use)
File: backtrace (8.74 KB, text/plain)
2010-03-04 04:38 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2010-03-04 04:38:49 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/gcm-apply
comment: Just booted up, abrt showed up on boot warning me that gcm-apply had crashed.
component: gnome-color-manager
executable: /usr/bin/gcm-apply
kernel: 2.6.33-1.fc13.x86_64
package: gnome-color-manager-2.29.4-2.fc13
rating: 4
reason: Process /usr/bin/gcm-apply was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Rawhide)

How to reproduce
-----
1. Boot with gnome-color-manager installed (may also need to have something defined for it to apply)
2.
3.

Comment 1 Adam Williamson 2010-03-04 04:38:50 UTC
Created attachment 397715 [details]
File: backtrace

Comment 2 Adam Williamson 2010-03-04 04:40:40 UTC
gcm-prefs doesn't crash on run, and gcm-apply doesn't seem to crash when run at a console after boot. The crash seemed to happen only on first boot / login.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Richard Hughes 2010-03-04 09:06:20 UTC
commit 6b856fa0566c43c6d69924c090e23399e6da6861
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Mar 4 09:05:22 2010 +0000

    Prevent a segfault if ppdOpenFile() fails for whatever reason

Comment 4 Richard Hughes 2010-03-04 09:23:07 UTC
Could you please try this build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2030035

Thanks.

Comment 5 Peter Hjalmarsson 2010-03-04 12:58:09 UTC

How to reproduce
-----
1. Start my computer
2.
3.


Comment
-----
It seems triggered by logging in.

Comment 6 Peter Hjalmarsson 2010-03-04 13:16:01 UTC
The posted build seems to work.

Comment 7 Fedora Update System 2010-03-04 13:37:16 UTC
gnome-color-manager-2.29.5-0.1.20100304git.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-color-manager-2.29.5-0.1.20100304git.fc13

Comment 8 Adam Williamson 2010-03-04 20:30:40 UTC
Yup, installed, rebooted, no crash. Will post positive Bodhi feedback (Peter can you do the same?)

Comment 9 Fedora Update System 2010-03-05 03:39:49 UTC
gnome-color-manager-2.29.5-0.1.20100304git.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-color-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-color-manager-2.29.5-0.1.20100304git.fc13

Comment 10 Fedora Update System 2010-03-18 03:33:26 UTC
gnome-color-manager-2.29.5-0.1.20100304git.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.